> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet by ID



## OpenAPI

````yaml get /v1/wallet/{walletId}
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/wallet/{walletId}:
    get:
      tags:
        - Wallet Endpoints
      summary: Get Wallet by ID
      operationId: WalletsController_get
      parameters:
        - name: walletId
          required: true
          in: path
          schema:
            type: string
        - name: expand
          required: false
          in: query
          schema:
            nullable: true
            type: array
            items:
              type: string
              enum:
                - profile
        - name: includeAddresses
          required: false
          in: query
          schema:
            nullable: true
            type: array
            items:
              type: string
              enum:
                - evm
                - sol
                - sui
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletResponse'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    WalletResponse:
      type: object
      properties:
        profileId:
          type: string
          nullable: true
        applicationId:
          type: string
          nullable: false
        lastUsedAt:
          format: date-time
          type: string
          nullable: true
          description: Deprecated
        addresses:
          nullable: true
          description: The field must be requested to be included in the response
          allOf:
            - $ref: '#/components/schemas/Addresses'
        id:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - applicationId
        - id
        - createdAt
    Addresses:
      type: object
      properties:
        evm:
          type: string
        sol:
          type: string
        sui:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````